/*
 * lib_imp_close.c - loader for library
 *
 * Copyright (C) 2018 Thorsten Otto
 *
 * For conditions of distribution and use, see the accompanying README file.
 */
#include "slb/jpeg.h"
#include <stdio.h>
#include <stddef.h>
#include <mint/mintbind.h>
#include "libstrct.h"
#include "slbload.h"

static long __CDECL slb_unloaded(SLB_HANDLE slb, long fn, short nwords, ...)
{
	(void)slb;
	(void)fn;
	(void)nwords;
	(void) Cconws(JPEG_SHAREDLIB_NAME " was already unloaded\r\n");
	Pterm(1);
	return -32;
}


void slb_jpeglib_close(void)
{
	SLB *jpeglib = slb_jpeglib_get();

	if (!jpeglib)
		return;
	if (jpeglib->handle)
	{
		slb_unload(jpeglib->handle);
		jpeglib->handle = 0;
	}
	jpeglib->exec = slb_unloaded;
}
