/*
 * slb/jpeg.h - Utility functions for the application,
 * when using the shared library.
 *
 * Copyright (C) 2018 Thorsten Otto
 *
 * For conditions of distribution and use, see the accompanying README file.
 */
#ifndef __SLB_JPEG_H__
#define __SLB_JPEG_H__ 1

#ifndef JPEG_SLB
#define JPEG_SLB 1
#endif

#include <stdio.h>
#include <stddef.h>
#include <jpeglib.h>
#include <mint/slb.h>

#ifdef __cplusplus
extern "C" {
#endif

#if JPEG_LIB_VERSION >= 90
#define JPEG_SHAREDLIB_NAME "jpeg9c.slb"
#elif JPEG_LIB_VERSION >= 80
#define JPEG_SHAREDLIB_NAME "jpeg8d.slb"
#elif JPEG_LIB_VERSION >= 70
#define JPEG_SHAREDLIB_NAME "jpeg7.slb"
#else
#define JPEG_SHAREDLIB_NAME "jpeg6b.slb"
#endif


long slb_jpeglib_open(const char *slbpath);
void slb_jpeglib_close(void);
SLB *slb_jpeglib_get(void);

#ifdef __cplusplus
}
#endif

#endif /* __SLB_JPEG_H__ */
